Bug 789622 - Trying to build libreoffice-voikko results in an error: "cppumaker : init registries failed, check your registry files."
Summary: Trying to build libreoffice-voikko results in an error: "cppumaker : init reg...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-11 20:27 UTC by Ville-Pekka Vainio
Modified: 2012-03-06 20:38 UTC (History)
6 users (show)

Fixed In Version: libreoffice-3.5.1.1-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 20:38:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville-Pekka Vainio 2012-02-11 20:27:21 UTC
Description of problem:
I've been trying to build the libreoffice-voikko extension against the f17 packages of libreoffice. The build process throws the following error: "cppumaker : init registries failed, check your registry files."

Essentially the libreoffice-voikko build process runs the following shell commands:

. /usr/lib64/libreoffice/sdk/setsdkenv_unix.sh
"/usr/lib64/libreoffice/sdk/bin/cppumaker" -Gc -BUCR -O./build/hpp "/usr/lib64/libreoffice/ure/share/misc/types.rdb" "/usr/lib64/libreoffice/program/offapi.rdb"

Version-Release number of selected component (if applicable):
libreoffice-sdk-3.5.0.3-1.fc17

Here's an example of an older Koji build which failed similarly: https://koji.fedoraproject.org/koji/buildinfo?buildID=297656

Comment 1 Caolan McNamara 2012-02-13 11:16:14 UTC
caolanm->sberg: can you take a look ?

Comment 2 Stephan Bergmann 2012-02-14 09:44:40 UTC
This is a general problem with the LibreOffice 3.5 SDK missing an adaption to changed paths within the LibreOffice installation.  It can also be reproduced, in a shell prepared with the SDK's setsdkenv_unix, with

  $ cd ${OO_SDK_HOME?}/examples/cpp/counter && make

failing with "cppumaker : init registries failed, check your registry files."

Fixed upstream as <http://cgit.freedesktop.org/libreoffice/core/commit/?id=bcdadc2e9f3f6a400438cbbefffc60bf02baa0f1> "Resolves rhbz#789622: Adapt SDK to changed paths in LO installation".

Comment 3 Michael Stahl 2012-02-14 15:12:26 UTC
fixed upstream in libreoffice-3-5 as well:

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-5&id=249fdaa87062fc8a6a7d5a068a7d1401b6c37b5c

Comment 4 Fedora Update System 2012-03-01 13:32:36 UTC
libreoffice-3.5.1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.1.1-2.fc17

Comment 5 Fedora Update System 2012-03-02 01:00:42 UTC
Package libreoffice-3.5.1.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.1.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2826/libreoffice-3.5.1.1-2.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-03-06 20:38:22 UTC
libreoffice-3.5.1.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.